Skip to navigation

Normalize with enrichment

Normalize a set of input terms or codes to IMO lexicals from the Problem domain using enriched contextual analysis. Employs enhanced AI models to find the most relevant matches and prioritizes clinical context (age, sex, severity, existing ICD-10 codes) supplied with each record.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
client_request_idstringRequired
A unique identifier for the request from the partner application. This may be any string value using any format.
requestslist of objectsRequired

Each object in this array represents a normalization record for a single clinical term or code that you want to match to an IMO lexical. At a minimum, each object must include the record_id and domain fields, as well as either the input_term (when term-based matching) or both of the input_code and input_code_system fields (when code-based matching). When term-based matching, the context fields are also strongly recommended to ensure the most relevant lexical matches, especially the source_text field.

When working with large batches of normalization records, for optimal performance each payload should include 10 to 25 requests objects.

session_idstringOptional=36 characters

A unique identifier for the session, used to correlate requests across endpoints for the term refinement workflow. This should be a value returned by the GET /precision/normalize/session operation.

preferencesobjectOptional

In this object, the match_field_pref field determines whether the API performs term-based or code-based lexical matching. All other fields in this object define operation preferences only applicable to term-based matching.

The preferences in this object apply to every normalization record included in the requests array.

Response

successful operation
summaryobjectOptional

This object provides a summary of the normalization records returned in the requests array.

request_idstringOptional
A globally unique identifier automatically generated for the request by the API.
client_request_idstringOptional

The same value echoed back from the request’s client_request_id field.

session_idstringOptional=36 characters

The same value echoed back from the request’s session_id field, if applicable.

If session_id was excluded from the request, this field is also excluded from the response.

response_timeintegerOptional
The time in milliseconds taken to process the entire request.
requestslist of objectsOptional

Each object in this array corresponds to a normalization record supplied in the requests array of the request. This array lists each normalization record object in the same sequence as its corresponding record in the request. In each object, the response field describes the normalization outcome for the record.

preferencesobjectOptional

This object echoes back the same fields and values included in the request’s preferences object.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
413
Content Too Large Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error